This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 301521 - nm-applet crash when opening default.keyring (which is not exist)
nm-applet crash when opening default.keyring (which is not exist)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 00:08 EDT by Yijun Yuan
Modified: 2015-03-03 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:54:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yijun Yuan 2007-09-22 00:08:57 EDT
Description of problem:
Recent version of nm-applet and gnome-keyring combination has this problem, that
is when $/.gnome2/keyring/default.keyring is removed, and nm-applet is
connecting to a WEP encrypted AP, it will crash in gnome-keyring.so

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.6.5-9.fc8
gnome-keyring-2.20-1.fc8

How reproducible:
Every time.

Steps to Reproduce:
1. remove $/.gnome2/keyrings/default.keyring
2. run nm-applet and connect to WEP ap
3.
  
Actual results:
nm-applet crash

Expected results:
nm-applet should prompt for creating new keyring

Additional info:
Thread 2 (Thread -1208911584 (LWP 8359)):
#0  0x0805bd4c in nmi_dbus_get_network_key_callback (
    result=GNOME_KEYRING_RESULT_OK, found_list=0x0, data=0x93ee7b8)
    at applet-dbus-info.c:117
#1  0x0057fb5d in find_items_reply (op=0x93ee888) at gnome-keyring.c:2004
#2  0x00581089 in operation_io (io_channel=0x9231af0, 
    cond=<value optimized out>, callback_data=0x93ee888) at gnome-keyring.c:539
#3  0x00c9c81d in ?? () from /lib/libglib-2.0.so.0
#4  0x00c6d0fc in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#5  0x00c7053f in ?? () from /lib/libglib-2.0.so.0
#6  0x00c708e9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#7  0x0079e9b4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#8  0x0804efa1 in main (argc=Cannot access memory at address 0x1
) at main.c:67
#9  0x00d38310 in __libc_start_main () from /lib/libc.so.6
#10 0x0804edc1 in _start ()

Thread 1 (process 8359):
#0  0x0805bd4c in nmi_dbus_get_network_key_callback (
    result=GNOME_KEYRING_RESULT_OK, found_list=0x0, data=0x93ee7b8)
    at applet-dbus-info.c:117
#1  0x0057fb5d in find_items_reply (op=0x93ee888) at gnome-keyring.c:2004
#2  0x00581089 in operation_io (io_channel=0x9231af0, 
    cond=<value optimized out>, callback_data=0x93ee888) at gnome-keyring.c:539
#3  0x00c9c81d in ?? () from /lib/libglib-2.0.so.0
#4  0x00c6d0fc in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#5  0x00c7053f in ?? () from /lib/libglib-2.0.so.0
#6  0x00c708e9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#7  0x0079e9b4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#8  0x0804efa1 in main (argc=Cannot access memory at address 0x1
) at main.c:67
#9  0x00d38310 in __libc_start_main () from /lib/libc.so.6
#10 0x0804edc1 in _start ()
0x0805bd4c      117                     nm_gconf_wso_set_key (gconf_wso,
found->secret, strlen (found->secret));
Comment 1 Yijun Yuan 2007-09-22 00:16:26 EDT
Well, I can create a default.keyring with evolution. Then the problem still exists. 


(gdb) thread apply all bt full

Thread 2 (Thread -1208342240 (LWP 9577)):
#0  0x0805bd4c in nmi_dbus_get_network_key_callback
(result=GNOME_KEYRING_RESULT_OK, found_list=0x0, data=0x9bc7978)
    at applet-dbus-info.c:117
        escaped_network = (gchar *) 0x9d4d2e0 "���\tult"
        gconf_wso = (NMGConfWSO *) 0x9bc9a30
        cb_data = (NMGetNetworkKeyCBData *) 0x9bc7978
        applet = (NMApplet *) 0x9b02028
        message = (DBusMessage *) 0x9bc7a38
        dev = (NetworkDevice *) 0x9bc8268
        net_path = <value optimized out>
        essid = <value optimized out>
#1  0x0057fb5d in find_items_reply (op=0x9d5ffc8) at gnome-keyring.c:2004
        result = GNOME_KEYRING_RESULT_OK
        callback = (GnomeKeyringOperationGetListCallback) 0x805bce0
<nmi_dbus_get_network_key_callback>
        found_items = (GList *) 0x0
#2  0x00581089 in operation_io (io_channel=0x9bc7778, cond=<value optimized
out>, callback_data=0x9d5ffc8)
    at gnome-keyring.c:539
        channel = <value optimized out>
        op = <value optimized out>
        res = <value optimized out>
        packet_size = 8
        __PRETTY_FUNCTION__ = "operation_io"
#3  0x00c9c81d in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00c6d0fc in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x00c7053f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x00c708e9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#7  0x0079e9b4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#8  0x0804efa1 in main (argc=Cannot access memory at address 0x1
) at main.c:67
        nma = (NMApplet *) 0x9b02028
        client = (GnomeClient *) 0x9ab6430
#9  0x00d38310 in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#10 0x0804edc1 in _start ()
No symbol table info available.

Thread 1 (process 9577):
#0  0x0805bd4c in nmi_dbus_get_network_key_callback
(result=GNOME_KEYRING_RESULT_OK, found_list=0x0, data=0x9bc7978)
    at applet-dbus-info.c:117
        escaped_network = (gchar *) 0x9d4d2e0 "���\tult"
        gconf_wso = (NMGConfWSO *) 0x9bc9a30
        cb_data = (NMGetNetworkKeyCBData *) 0x9bc7978
        applet = (NMApplet *) 0x9b02028
        message = (DBusMessage *) 0x9bc7a38
        dev = (NetworkDevice *) 0x9bc8268
        net_path = <value optimized out>
        essid = <value optimized out>
#1  0x0057fb5d in find_items_reply (op=0x9d5ffc8) at gnome-keyring.c:2004
        result = GNOME_KEYRING_RESULT_OK
        callback = (GnomeKeyringOperationGetListCallback) 0x805bce0
<nmi_dbus_get_network_key_callback>
        found_items = (GList *) 0x0
#2  0x00581089 in operation_io (io_channel=0x9bc7778, cond=<value optimized
out>, callback_data=0x9d5ffc8)
    at gnome-keyring.c:539
        channel = <value optimized out>
        op = <value optimized out>
        res = <value optimized out>
        packet_size = 8
        __PRETTY_FUNCTION__ = "operation_io"
#3  0x00c9c81d in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x00c6d0fc in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#5  0x00c7053f in ?? () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x00c708e9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#7  0x0079e9b4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#8  0x0804efa1 in main (argc=Cannot access memory at address 0x1
) at main.c:67
        nma = (NMApplet *) 0x9b02028
        client = (GnomeClient *) 0x9ab6430
#9  0x00d38310 in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#10 0x0804edc1 in _start ()
No symbol table info available.
0x0805bd4c      117                     nm_gconf_wso_set_key (gconf_wso,
found->secret, strlen (found->secret));





I wonder if "result=GNOME_KEYRING_RESULT_OK, found_list=0x0" is appropriate. And
nm-applet should not iterate found_list if it is NULL.
Comment 2 Rahul Sundaram 2007-10-28 21:33:06 EDT
Can you please try the latest build and report back?

http://koji.fedoraproject.org/koji/buildinfo?buildID=22556

Also is this a x86 or a x86_64 system?
Comment 3 Bug Zapper 2008-11-26 02:50:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-08 23:54:22 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.